snd_ctl_new1
Prev | Chapter 22. Sound Devices | Next

## Name

snd_ctl_new1 — create a control instance from the template

## Synopsis

`struct snd_kcontrol * snd_ctl_new1 (` | const struct snd_kcontrol_new * | ncontrol,
| void * | private_data`)`;

## Arguments

`ncontrol`

  the initialization record

`private_data`

  the private data to set

## Description

Allocates a new struct snd_kcontrol instance and initialize from the given template. When the access field of ncontrol is 0, it's assumed as READWRITE access. When the count field is 0, it's assumes as one.

Returns the pointer of the newly generated instance, or NULL on failure.

Prev | Up | Next
snd_dma_pointer | Home | snd_ctl_free_one